SQUEUE(1)

NAME
squeue - Used to view information of jobs located in the scheduling queue.

SYNOPSIS
squeue [OPTIONS...]

DESCRIPTION
squeue is used to view job and job step information for jobs managed by slurmctld.

OPTIONS

-?, --help
    Print a help message describing the usage of squeue.

-h, --noheader
    Do not print a header on the output.

-i, --iterate
    Repeatedly gather and report the requested information at the interval specified (in seconds).

-j, --jobs
    Specify the jobs to view. This takes a comma separated list of jobs to view. Defaults to all jobs.

-l, --long
    Report more of the available information for the selected jobs or job steps, subject to any constraints specified.

-o, --format
    Specify the information to be displayed. The default format for jobs is "%.7i %9P %8j %8u %2t %.8l %.4p %#N", where "#" represents a number limiting output to the window size. If the --long option is specified, the default job format is "%.7i %9P %8j %8u %8T %.8l %.10p %11S %11e %N". The default format for job steps is "%.10i %9P %8u %11S %#N", where "#" represents a number limiting output to the window size. If the --long option is specified, the default job step format is "%.10i %9P %8u %11S %N". The field specifications available include:
    %b Time at which the job began execution
    %c Minimum number of CPUs (processors) requested by the job
    %C Number of CPUs (processors) allocated to the job or job step
    %d Minimum size of temporary disk space (in MB) requested by the job
    %e Time at which the job ended or is expected to end (based upon its time limit)
    %f Features required by the job
    %h Can the nodes allocated to the job be shared with other jobs
    %i Job or job step id
    %j Job name
    %l Time limit of the job (in minutes). The value may be "NOT_SET" if not yet established or "UNLIMITED" for no limit.
    %m Minimum size of memory (in MB) requested by the job
    %n List of node names explicitly requested by the job
    %N List of nodes allocated to the job or job step
    %o Minimum number of nodes requested by the job
    %O Are contiguous nodes requested by the job
    %p Priority of the job (converted to a floating point number between 0.0 and 1.0
    %P Partition of the job or job step
    %S Start time of the job or job step
    %t Job state, compact form
    %T Job state, extended form
    %U User id
    %u User name
    %.<*> right justification of the field
    %<Number><*> size of field

-v  Display all job information.

-p, --partition
    Specify the partitions of the jobs or steps to view. Accepts a comma separated list of partition names.

-s, --steps
    Specify the job steps to view. This takes a comma separated list of job steps to view in the format "job_id.step_id". Defaults to all job steps.

-S, --sort
    Specifies the sorting order of job's or job step's records for printing. Accepts a comma separated list of field identifiers using the single letter codes used for output formatting. For example, "--sort=P,U" will sort the records by partition name then by user id. The default sorting order for jobs is job state then priority. The default sorting order for job steps is partition name. Note that sorting is not supported for all fields at this time.

-t, --states
    Specify the states of jobs to view. Accepts a comma separated list of state names or "all". If "all" is specified then jobs of all states will be reported. If no state is specified, pending and running jobs are reported.

-u, --users
    Specifies a comma separated list of users whose jobs or job steps are to be reported.

-v, --verbose
    Report details of squeues actions.

EXAMPLES
Print the jobs scheduled in the debug partition and in the COMPLETED state in the format with six right justified digits for the job id followed by the priority with an arbitrary fields size:
# squeue -p debug -t COMPLETED -o "%.6i %p"
 JOBID PRIORITY
----------------
 65543 99993
 65544 99992
 65545 99991 Print the job steps in the debug partition sorted by user:
# squeue -s -p debug -S u
 STEPID PARTITION USER START_TIME NODES
-----------------------------------------------------------
 65552.1 debug alice 10/14-11:02 dev[1-4]
 65562.2 debug bob 10/14-11:54 dev22
 65550.1 debug candice 10/14-11:18 dev[6-12]

COPYING
Copyright (C) 2002 The Regents of the University of California. Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). UCRL-CODE-2002-040.

This file is part of SLURM, a resource management program. For details, see <http://www.llnl.gov/linux/slurm/>.

SLURM is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

SLURM is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
slurm_load_ctl_conf(3), slurm_load_jobs(3), slurm_load_node(3), slurm_load_partitions(3)